<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMobilityReq StructType
 * @subpackage Structs
 */
class AddMobilityReq extends APIRequest
{
    /**
     * The mobility
     * @var XMobility
     */
    public $mobility;
    /**
     * Constructor method for AddMobilityReq
     * @uses AddMobilityReq::setMobility()
     * @param XMobility $mobility
     */
    public function __construct(XMobility $mobility = null)
    {
        $this
            ->setMobility($mobility);
    }
    /**
     * Get mobility value
     * @return XMobility|null
     */
    public function getMobility()
    {
        return $this->mobility;
    }
    /**
     * Set mobility value
     * @param XMobility $mobility
     * @return AddMobilityReq
     */
    public function setMobility(XMobility $mobility = null)
    {
        $this->mobility = $mobility;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMobilityReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
